version: '2.2'
services:
  es_analyzer:
    image: registry.gitlab.com/gitlab-com/support/toolbox/es_analyzer:latest
    container_name: es_analyzer
    networks:
      esnet:
        ipv4_address: 172.19.0.4
    ports:
      - ${GITLAB_PORT}:3000
  elasticsearch:
    image: registry.gitlab.com/gitlab-com/support/toolbox/es_analyzer_data:latest
    container_name: elasticsearch
    ports:
      - ${ELASTICSEARCH_PORT}:9200
    networks:
        esnet:
          ipv4_address: 172.19.0.2
networks:
  esnet:
    ipam:
      config:
        - subnet: 172.19.0.0/24
          gateway: 172.19.0.1
